import "@fontsource/inter";
import '@mantine/core/styles.css';
import React from 'react'
import ReactDOM from 'react-dom/client'
import App from './App.tsx'
import './index.css'
import { createTheme, DEFAULT_THEME, MantineProvider, mergeMantineTheme } from '@mantine/core';

const overrides = createTheme({
  // Set this color to `--mantine-color-body` CSS variable
  white: '#F0F0F0',
  colors: {
    // ...
  },
})

const theme = mergeMantineTheme(DEFAULT_THEME, overrides);

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  <React.StrictMode>
    <MantineProvider theme={theme}>
      <App />
    </MantineProvider>
  </React.StrictMode>,
)